Search documentation of wx

# View Source wxPreviewControlBar (wx v2.4.2)

Functions for wxPreviewControlBar class

This is the default implementation of the preview control bar, a panel with buttons and a zoom control.

You can derive a new class from this and override some or all member functions to change the behaviour and appearance; or you can leave it as it is.

See: `wxPreviewFrame`, `wxPreviewCanvas`, `wxPrintPreview`

This class is derived (and can use functions) from: `wxPanel` `wxWindow` `wxEvtHandler`

wxWidgets docs: wxPreviewControlBar

# Summary

## Types

wxPreviewControlBar()

## Functions

createButtons(This)

Creates buttons, according to value of the button style flags.

destroy(This)

Destructor.

getPrintPreview(This)

Gets the print preview object associated with the control bar.

getZoomControl(This)

Gets the current zoom setting in percent.

new(Preview, Buttons, Parent)
new/4

Constructor.

setZoomControl(This, Percent)

Sets the zoom control.

# Types

Link to this type

# wxPreviewControlBar()

View Source

    -type wxPreviewControlBar() :: wx:wx_object().

# Functions

Link to this function

# createButtons(This)

View Source

    -spec createButtons(This) -> ok when This :: wxPreviewControlBar().

Creates buttons, according to value of the button style flags.

Link to this function

# destroy(This)

View Source

    -spec destroy(This :: wxPreviewControlBar()) -> ok.

Destructor.

Link to this function

# getPrintPreview(This)

View Source

    -spec getPrintPreview(This) -> wxPrintPreview:wxPrintPreview() when This :: wxPreviewControlBar().

Gets the print preview object associated with the control bar.

Link to this function

# getZoomControl(This)

View Source

    -spec getZoomControl(This) -> integer() when This :: wxPreviewControlBar().

Gets the current zoom setting in percent.

Link to this function

# new(Preview, Buttons, Parent)

View Source

    -spec new(Preview, Buttons, Parent) -> wxPreviewControlBar()
                 when
                     Preview :: wxPrintPreview:wxPrintPreview(),
                     Buttons :: integer(),
                     Parent :: wxWindow:wxWindow().

Link to this function

# new/4

View Source

    -spec new(Preview, Buttons, Parent, [Option]) -> wxPreviewControlBar()
                 when
                     Preview :: wxPrintPreview:wxPrintPreview(),
                     Buttons :: integer(),
                     Parent :: wxWindow:wxWindow(),
                     Option ::
                         {pos, {X :: integer(), Y :: integer()}} |
                         {size, {W :: integer(), H :: integer()}} |
                         {style, integer()}.

Constructor.

The `buttons` parameter may be a combination of the following, using the bitwise 'or' operator:

Link to this function

# setZoomControl(This, Percent)

View Source

    -spec setZoomControl(This, Percent) -> ok when This :: wxPreviewControlBar(), Percent :: integer().

Sets the zoom control.